QGIS Application - Bug report #6994
Can't update NULL numerical MS SQL
2013-01-14 04:29 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16098
Description

Seems that you can't add or update a numerical field that allows nulls using the attribute table or form. If you try the attribute form doesn't
allow you to enter a value into the null field.

Create the following table:

CREATE TABLE [dbo].[test](
[id] [int] IDENTITY(1,1) NOT NULL,
[value] [decimal](10, 3) NULL,
[valuef] [float] NULL,
[valuer] [real] NULL)

1. Open the layer in QGIS. It doesn't need a geometry column

2. Open the attribute table

3. Make the table editable

4. Click the add button

5. Try entering a value into any of the fields. The form will stop you.

I'm not 100% sure where the issue is here. | have tried to reproduce it on PostGIS and Spatialite but at the moment it seems to only
happen with MS SQL layers.

History

#1 - 2013-03-05 01:25 AM - Tamas Szekeres

This appears to be working for me. Could you check with the latest version?

#2 - 2013-03-05 01:30 AM - Tamas Szekeres
- Status changed from Open to Feedback

#3 - 2014-06-21 04:05 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

closing for the lack of feedback

#4 - 2014-06-21 04:05 AM - Jiirgen Fischer
- Category set to Data Provider/MSSQL
